package com.casic.missiles.modular.alarm.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.casic.missiles.modular.alarm.service.IAlarmLevelService;
import com.casic.missiles.modular.system.dao.AlarmLevelMapper;
import com.casic.missiles.modular.system.model.AlarmLevel;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 123
 * @since 2019-10-15
 */
@Service
public class AlarmLevelServiceImpl extends ServiceImpl<AlarmLevelMapper, AlarmLevel> implements IAlarmLevelService {
    @Override
    public Map<String, Object> selectByNameAndTenGroup(Long tenantId, String name) {
        return this.baseMapper.selectByNameAndTenGroup(tenantId,name);
    }

    @Override
    public List<AlarmLevel> selectByNameAndTenList(Long tenantId, String name) {
        return this.baseMapper.selectByNameAndTenList(tenantId, name);
    }

    @Override
    public AlarmLevel selectByNameAndTenAndLevel(Long tenantId, String name, Integer level) {
        return this.baseMapper.selectByNameAndTenAndLevel(tenantId, name, level);
    }
}
